import { IAnswer, IMappedQuestionGroupAnswers, IVehicleGroupComponent, VehicleFlowTypes } from '@boldpenguin/sdk-types';
import { EventEmitter } from '../../stencil-public-runtime';
export declare class BpSdkVehicleGroup implements IVehicleGroupComponent {
  /**
   * Can Save
   */
  canSave: boolean;
  /**
   * Question Group
   */
  questionGroup: IMappedQuestionGroupAnswers;
  /**
   * Is vehicle trailer
   */
  isVehicleTrailer: boolean;
  /**
   * Should show trailers
   */
  shouldShowTrailers: boolean;
  handleDelete: () => void;
  useExternal: boolean;
  flowAnswer: IAnswer;
  selectedCAFlow: 'ymm' | 'vin' | 'trailer' | 'none';
  saveVehicle: EventEmitter<VehicleFlowTypes>;
  onQuestionSetChange(questionGroup: IMappedQuestionGroupAnswers): void;
  saveButtonClick: () => void;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderVehicleQuestions(): any;
  renderExternal(): any;
  renderInternal(): any;
  private getSelectedVehicleInput;
}
