'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-2a6e6244.js');

const bpSdkPendingProcessCss = ".small-print{font-size:0.75rem}";

let BpSdkPendingProcess = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.useExternal = false;
  }
  resetState() { }
  componentWillLoad() {
    this.useExternal = !!customElements.get('bp-sdk-external-pending-process');
    customElements.whenDefined('bp-sdk-external-pending-process').then(() => {
      this.useExternal = true;
    });
  }
  render() {
    return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
  }
  renderExternal() {
    return index.h("bp-sdk-external-pending-process", { pendingProcesses: this.pendingProcesses });
  }
  renderInternal() {
    var _a;
    const classNaming = (process) => `bp-sdk-pending-process-item__${process.state}`;
    return ((_a = this.pendingProcesses) === null || _a === void 0 ? void 0 : _a.length) ?
      (index.h("div", { class: "bp-sdk-pending-process__container" }, this.pendingProcesses.map(process => (index.h("div", { class: classNaming(process) }, index.h("p", null, process.job_type), index.h("p", { class: "small-print" }, process.state))))))
      : null;
  }
};
BpSdkPendingProcess.style = bpSdkPendingProcessCss;

exports.bp_sdk_pending_process = BpSdkPendingProcess;
