import { IBusinessClassificationSelectorNaicsGroupHeaderComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkBusinessClassificationSelectorNaicsGroupHeader implements IBusinessClassificationSelectorNaicsGroupHeaderComponent {
  /**
   * NAICS code for this group, should only be populated if allowed from features list
   */
  naicsCode: string;
  /**
   * NAICS description for this group
   */
  naicsDescription: string;
  /**
   * NAICS explanation for this group
   * This is hidden from displaying by default via CSS. The intention is to show it in a hover or popover
   */
  naicsExplanation: string;
  useExternal: boolean;
  resetState(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
