import { IAnswer, IMappedQuestionGroupAnswers, IQuestionGroupComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuestionGroup implements IQuestionGroupComponent {
  /**
   * answers in group
   */
  answers: IAnswer[];
  /**
   * Classes for styling group
   */
  classes: string;
  /**
   * Group label
   */
  label: string;
  /**
   * Label id's for group
   */
  labelId: string;
  /**
   * Question Group
   */
  questionGroup: IMappedQuestionGroupAnswers;
  /**
   * group type
   */
  type: string;
  useExternal: boolean;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  render(): any[];
  renderExternal(): any;
  shouldRenderLabel(): boolean;
  renderInternal(): any[];
  renderContent(): any;
}
