import { EventEmitter } from '../../stencil-public-runtime';
import { HandleBindFunction, IAnalyticsTrackEventDetail, IQuoteRequestButtonContainerComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestButtonContainer implements IQuoteRequestButtonContainerComponent {
  /**
   * Annual Price
   */
  annualPrice: string;
  /**
   * Application form id
   */
  appFormId: string;
  /**
   * Carrier name
   */
  carrierName: string;
  /**
   * quote bind function
   */
  handleBind: HandleBindFunction;
  /**
   * Quote id
   */
  quoteId: string;
  useExternal: boolean;
  quoteWindow: Window;
  bpAnalyticsTrack: EventEmitter<IAnalyticsTrackEventDetail>;
  resetState(): void;
  connectedCallback(): void;
  componentWillLoad(): void;
  handleAfterBindResponse: (quoteWindow: Window) => (response: string) => void;
  onBind: () => void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
